import os

import testinfra.utils.ansible_runner

import commons

# /!\ This test run accross all servers
testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(os.environ["MOLECULE_INVENTORY_FILE"]).get_hosts("postgres")


def test_postgresql_check_status_after_shutdown(host):
    ''' check repmgr status accross server after primary change and server reintegration '''

    if host.ansible.get_variables()["inventory_hostname"].startswith("db0-default"):
        data = commons.get_status(host)
        assert data == "standby"
    if host.ansible.get_variables()["inventory_hostname"].startswith("db1-default"):
        data = commons.get_status(host)
        assert data == "primary"
    if host.ansible.get_variables()["inventory_hostname"].startswith("db2-default"):
        data = commons.get_status(host)
        assert data == "witness"
